@import url('desktop.css');
@import url('tablet.css');
@import url('mobile.css');

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    background-color: #ffebcd;
}

.container{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: 0.5fr fit-content 0.5fr;

    margin: 0 auto;
    padding: 0 1rem;
    gap: .5rem
}

.navbar{
    grid-area: 1/1/2/-1;
    font-size: 1.3rem;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: re;
}
.logo{
    margin-top: 1rem;
}
.primary-icon{
    height: 4rem;
}

nav ul{
    display: flex;
    padding:  1rem 0;
}
.navbar li{
    /* display: inline; */
    /* float: left; */
    padding: 0 1rem;
    list-style-type: none;
}
.navbar a{
    color: #000;
    text-decoration: none;
}

.navbar a:hover{
    text-decoration: underline;
}

.navbar a:active{
    text-decoration: underline;
}
/* Blog Card section */
.blog-card{
    grid-area: 2/1/3/-1;
    
}

img{
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.card{
    display: flex;
    border-radius: .95rem;
    
}
.card img{
    width: 100%;
    max-height: 20rem;
    min-height: 100%;
    max-width: 100%;
}

.card-text{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    background-color: bisque;
}

.card-text a{
    color: bisque;
    padding: 1rem;
    background-color: black;
    border-radius: 1rem;
}

.card-text a:hover{
    background-color: white;
    color: black;
}
.card:hover{
    transform: scale(1.01);
    transition: all 0.5s ease;
    cursor: pointer;
}

.card-image{
    background-color: darkgreen;
}

.footer-section{
    grid-area: 3/1/4/-1;

}
footer{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    padding: 0.5rem 0;
}
footer a{
    color: #000;
    text-decoration: none;
}

.footer-links{
    display: flex;
    justify-content: center;
    gap:0.5rem;
}

.footer-icon{
    height: 2rem;
}

button{
    padding: 1rem 1.25rem;
    display: block;
    text-align: center;
    margin: 1.25rem auto;
    font-size: 1rem;
}

button:hover{
    color: #efefef;
    background-color: #000;
}
.card a{
    text-decoration: none;
}

